Bug 167849 - NTLM Proxy Authentication Broken
NTLM Proxy Authentication Broken
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: python-urlgrabber (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: James Antill
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-08 16:47 EDT by Donny Kavanagh
Modified: 2008-02-28 19:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-28 19:06:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Donny Kavanagh 2005-09-08 16:47:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.10) Gecko/20050716 Firefox/1.0.6

Description of problem:
When using python-urlgrabber (used by yum) behind a NTLM web proxy, urlgrabber will crash rather ungracefully.

Version-Release number of selected component (if applicable):
python-urlgrabber-2.9.6-1

How reproducible:
Always

Steps to Reproduce:
1.put yourself behind a micrsoft proxy server (eugh i know)
2.run 'export http_proxy="http://trn\\kavando:mypassword@192.168.45.3:8080"'
3.run 'urlgrabber http://www.google.ca'


Actual Results:  [root@PROD-ASTR-GW1 ~]# urlgrabber http://www.google.ca
Traceback (most recent call last):
  File "/usr/bin/urlgrabber", line 124, in ?
    main()
  File "/usr/bin/urlgrabber", line 120, in main
    filename = urlgrab(url,filename=file,**kwargs)
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 434, in urlgrab
    return default_grabber.urlgrab(url, filename, **kwargs)
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 618, in urlgrab
    return self._retry(opts, retryfunc, url, filename)
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 547, in _retry
    return apply(func, (opts,) + args, {})
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 604, in retryfunc
    fo = URLGrabberFileObject(url, filename, opts)
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 727, in __init__
    self._do_open()
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 794, in _do_open
    fo, hdr = self._make_request(req, opener)
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 896, in _make_request
    raise URLGrabError(4, _('IOError: %s') % (e, ))
urlgrabber.grabber.URLGrabError: [Errno 4] IOError: HTTP Error 404: Via: 1.0 PROXY45
Content-Length: 1242
Date: Thu, 08 Sep 2005 20:30:58 GMT
Content-Type: text/html
Server: GWS/2.1


Expected Results:  It should have worked i guess :)

Additional info:
Comment 1 Donny Kavanagh 2005-09-08 17:12:57 EDT
Because i needed to get this system updated asap, i googled and found this

http://www.geocities.com/rozmanov/ntlm/index.html

i set it up to do NTLM -> Basic proxy translation, so to urlgrabber/yum it the
proxy server appeared to be a no authentication proxy (rather then ntlm) and it
works.

So it would seem NTLM within urlgrabber is either broken, or not supported. 
That proxy/translator tool is however written in python.
Comment 2 Christian Iseli 2007-01-19 19:57:28 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 Donny Kavanagh 2007-01-19 20:10:22 EST
Wow, umm... i submitted this bug 1.25 years ago.

I no longer run Fedora Core, i use mainly centos now, but i will try to see if i
can quickly setup a box of the latest release.  If it takes another year to
address my update however, i have a feeling we aren't going to get anywhere.
Comment 4 petrosyan 2008-02-28 19:06:06 EST
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.